#### Previous topic

scipy.integrate.nquad

#### Next topic

scipy.integrate.quadrature

# scipy.integrate.fixed_quad

`scipy.integrate.``fixed_quad`(func, a, b, args=(), n=5)

  Compute a definite integral using fixed-order Gaussian quadrature.

  Integrate func from a to b using Gaussian quadrature of order n.

  Parameters:

  func : callable

  > A Python function or method to integrate (must accept vector inputs). If integrating a vector-valued function, the returned array must have shape `(..., len(x))`.

  a : float

  > Lower limit of integration.

  b : float

  > Upper limit of integration.

  args : tuple, optional

  > Extra arguments to pass to function, if any.

  n : int, optional

  > Order of quadrature integration. Default is 5.

  Returns:

  val : float

  > Gaussian quadrature approximation to the integral

  none : None

  > Statically returned value of None

  See also

  `quad`
    adaptive quadrature using QUADPACK
  `dblquad`
    double integrals
  `tplquad`
    triple integrals
  `romberg`
    adaptive Romberg quadrature
  `quadrature`
    adaptive Gaussian quadrature
  `romb`
    integrators for sampled data
  `simps`
    integrators for sampled data
  `cumtrapz`
    cumulative integration for sampled data
  `ode`
    ODE integrator
  `odeint`
    ODE integrator